## org.gnu.gtk
Class CellRendererPixbuf

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.CellRenderer
              org.gnu.gtk.CellRendererPixbuf

public class CellRendererPixbuf
extends CellRenderer

A `CellRenderer` for pixbufs.

Nested Class Summary
`static class` `CellRendererPixbuf.Attribute` Attributes for the CellRenderer

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`CellRendererPixbuf()` Creates a new CellRendererPixbuf

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static int` `gtk_cell_renderer_pixbuf_get_type()`
`protected static Handle` `gtk_cell_renderer_pixbuf_new()`
`protected static int` `gtk_setPixbuf(Handle cr, Handle pixbuf)`
`protected static int` `gtk_setPixbufOpen(Handle cr, Handle pixbuf)`
`void` `setPixbuf(Pixbuf pixbuf)`
`void` `setPixbufExpanderOpen(Pixbuf pixbuf)`

Methods inherited from class org.gnu.gtk.CellRenderer
`gtk_cell_renderer_activate, gtk_cell_renderer_get_fixed_size, gtk_cell_renderer_get_size, gtk_cell_renderer_get_type, gtk_cell_renderer_render, gtk_cell_renderer_set_fixed_size, gtk_cell_renderer_start_editing, gtk_cell_renderer_stop_editing`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRendererPixbuf

    public CellRendererPixbuf()

  Creates a new CellRendererPixbuf

Method Detail

### setPixbuf

    public void setPixbuf(Pixbuf pixbuf)

### setPixbufExpanderOpen

    public void setPixbufExpanderOpen(Pixbuf pixbuf)

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_cell_renderer_pixbuf_get_type

    protected static final int gtk_cell_renderer_pixbuf_get_type()

### gtk_cell_renderer_pixbuf_new

    protected static final Handle gtk_cell_renderer_pixbuf_new()

### gtk_setPixbuf

    protected static final int gtk_setPixbuf(Handle cr,
                                             Handle pixbuf)

### gtk_setPixbufOpen

    protected static final int gtk_setPixbufOpen(Handle cr,
                                                 Handle pixbuf)